# SkyClaimRewards

### Description

Claim rewards earned by staking USDS on SKY

### Action ID

`0x742b59f2`

### SDK Action

```ts
const skyClaimRewardsAction = new dfs.actions.sky.SkyClaimRewardsAction(
    stakingContract,
    rewardToken,
    to
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param stakingContract address of the staking rewards contract
    /// @param rewardToken address of the token given out as reward
    /// @param to address which will receive rewardToken
    struct Params {
        address stakingContract;
        address rewardToken;
        address to;
    }
```

### Return Value

```solidity
return bytes32(amountClaimed);
```

### Events and Logs

```solidity
emit ActionEvent("SkyClaimRewards", logData);
logger.logActionDirectEvent("SkyClaimRewards", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/sky/skyclaimrewards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
